<!DOCTYPE html>
<html lang="en">
  <head>
    <title>HTML Tables and Forms</title>
  </head>
  <body>
    <h1>HTML Table</h1>
    <table border="1" cellpadding="5" cellspacing="5">
      <tr>
        <th>Course Code</th>
        <th>Course Name</th>
      </tr>
      <tr>
        <td>WDC01</td>
        <td>Front End Course</td>
      </tr>
      <tr>
        <td>WDC02</td>
        <td>Back End Course</td>
      </tr>

      <tr>
        <td colspan="2">Spans Columns</td>
      </tr>
    </table>

    <h1>HTML Form</h1>
    <form method="POST" action="process.php">
      <!-- Input type text -->
      First Name:
      <input type="text" name="fname" placeholder="Enter First Name" required />
      <br />

      Last Name:
      <input type="text" name="lname" />
      <br />

      <!-- Input type number -->
      Score: <input type="number" name="score" max="100" min="50" />
      <br />

      <!-- Input type color -->
      Select Color: <input type="color" name="color" />
      <br />

      <!-- Input type date -->
      Birthdate: <input type="date" name="bdate" />
      <br />

      <!-- Input type password -->
      Password: <input type="password" name="pw" />
      <br />

      <!-- Textarea -->
      Comments:
      <textarea rows="5" cols="50" name="description" placeholder="Description">
      </textarea>

      <h2>Radio Control</h2>
      <input type="radio" name="size" value="sm" /> small
      <br />
      <input type="radio" name="size" value="medium" checked /> medium
      <br />
      <input type="radio" name="size" value="large" /> large

      <h2>Checkbox</h2>
      <input type="checkbox" name="chrome" value="chrome" /> Google Chrome<br />
      <input type="checkbox" name="firefox" value="firefox" /> Firefox<br />
      <input type="checkbox" name="safari" value="safari" checked />
      Safari<br />

      <h2>Drop Down</h2>
      <select name="dropdown">
        <option value="Math" selected>Math</option>
        <option value="Physics">Physics</option>
        <option value="SocSci">Social Science</option>
      </select>
      <hr />
      <button type="submit">Submit</button>
      <button type="reset">Clear</button>
    </form>
  </body>
</html>
